from django.test import TestCase

from django.contrib.auth.models import User
from rest_framework.test import APIClient


class TestShares(TestCase):

    def setUp(self) -> None:
        super().setUp()
        user, _ = User.objects.get_or_create(username='testuser', email='admin@admin.com',
                                             password='12345')

        self.api_client = APIClient()
        self.api_client.force_login(user)

    def test_history(self):
        """
        Test that a file can be added and that it can be visited
        """
        response = self.client.get('http://127.0.0.1/api/history')
        self.assertGreaterEqual(len(response.json()), 2)
